/*
 * Q70LoadableResource.java
 *
 * Created on January 28, 2000, 11:38 AM
 */
package es.ejie.frmk.presentacion.iu.taglib.html.menu.util;

import javax.servlet.http.HttpServlet;


/**
 * Defines the interface for a loadable web application resource.
 *
 * @author  Scott Sayles
 * @version
 */
public interface Q70LoadableResource {
    //~ Methods ================================================================

    public void setLoadParam(String loadParam);

    public String getLoadParam();

    public void setName(String name);

    public String getName();

    public void load() throws Q70LoadableResourceException;

    public void reload() throws Q70LoadableResourceException;

    public HttpServlet getServlet();

    public void setServlet(HttpServlet servlet);
}
